USE [idb_datastore]
GO
/****** Object:  Table [dbo].[GA_AdsKeyword] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_AdsKeyword](
	[Date] [datetime] NULL,
	[Medium] [varchar](255) NULL,
	[Keyword] [varchar](255) NULL,
	[Google Ads: Ad Slot] [varchar](255) NULL,
	[Search Term] [varchar](255) NULL,
	[Refined Keyword] [varchar](255) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Organic Searches] [decimal](30, 10) NULL,
	[Publisher Revenue] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_AdwordCost] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_AdwordCost](
	[Date] [datetime] NULL,
	[Campaign] [varchar](255) NULL,
	[Keyword] [varchar](255) NULL,
	[Query Match Type] [varchar](255) NULL,
	[Keyword Match Type] [varchar](255) NULL,
	[Search Query] [varchar](255) NULL,
	[Users] [decimal](30, 10) NULL,
	[New Users] [decimal](30, 10) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Avg. Time on Page] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_BasicMetrics] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_BasicMetrics](
	[Date] [datetime] NULL,
	[Users] [decimal](30, 10) NULL,
	[New Users] [decimal](30, 10) NULL,
	[Pageviews] [decimal](30, 10) NULL,
	[Transactions] [decimal](30, 10) NULL,
	[Revenue] [decimal](30, 10) NULL,
	[Goal Completions] [decimal](30, 10) NULL,
	[Goal Value] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounces] [decimal](30, 10) NULL,
	[Session Duration] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_BounceRate] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_BounceRate](
	[Days Since Last Session] [varchar](255) NULL,
	[Date] [datetime] NULL,
	[Date Hour and Minute] [datetime] NULL,
	[Latitude] [varchar](255) NULL,
	[Longitude] [varchar](255) NULL,
	[Source] [varchar](255) NULL,
	[Medium] [varchar](255) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Hits] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Country] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Country](
	[Date] [datetime] NULL,
	[Country] [varchar](255) NULL,
	[Region] [varchar](255) NULL,
	[City] [varchar](255) NULL,
	[Latitude] [varchar](255) NULL,
	[Longitude] [varchar](255) NULL,
	[Country ISO Code] [varchar](255) NULL,
	[Users] [decimal](30, 10) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL,
	[Hits] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Goal] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Goal](
	[Date] [datetime] NULL,
	[Source] [varchar](255) NULL,
	[New Users] [decimal](30, 10) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Goal Completions] [decimal](30, 10) NULL,
	[Goal Value] [decimal](30, 10) NULL,
	[Goal Conversion Rate] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GA_LandingPage] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_LandingPage](
	[Landing Page] [varchar](255) NULL,
	[Date] [datetime] NULL,
	[Country] [varchar](255) NULL,
	[City] [varchar](255) NULL,
	[Latitude] [varchar](255) NULL,
	[Longitude] [varchar](255) NULL,
	[Source] [varchar](255) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pageviews] [decimal](30, 10) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Unique Pageviews] [decimal](30, 10) NULL,
	[Time on Page] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL,
	[Hours] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Marketing] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Marketing](
	[Hostname] [varchar](255) NULL,
	[Page Title] [varchar](255) NULL,
	[Date] [datetime] NULL,
	[Day of Week] [varchar](255) NULL,
	[Day of Week Name] [varchar](255) NULL,
	[Source] [varchar](255) NULL,
	[In-Market Segment] [varchar](255) NULL,
	[Users] [decimal](30, 10) NULL,
	[New Users] [decimal](30, 10) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pageviews] [decimal](30, 10) NULL,
	[Unique Pageviews] [decimal](30, 10) NULL,
	[Avg. Time on Page] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Metrics] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Metrics](
	[User Type] [varchar](255) NULL,
	[Count of Sessions] [int] NULL,
	[Date] [datetime] NULL,
	[Day of Week Name] [varchar](255) NULL,
	[Date Hour and Minute] [datetime] NULL,
	[Source] [varchar](255) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pageviews] [decimal](30, 10) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Unique Pageviews] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounces] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Session Duration] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL,
	[Hits] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Mobile] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Mobile](
	[Date] [datetime] NULL,
	[Browser] [varchar](255) NULL,
	[Browser Version] [decimal](30, 10) NULL,
	[Operating System] [varchar](255) NULL,
	[Operating System Version] [decimal](30, 10) NULL,
	[Mobile Device Model] [varchar](255) NULL,
	[Mobile Device Info] [varchar](255) NULL,
	[Users] [decimal](30, 10) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_PageHits] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_PageHits](
	[Page Title] [varchar](255) NULL,
	[Date] [datetime] NULL,
	[Day of Week] [varchar](255) NULL,
	[Country] [varchar](255) NULL,
	[Latitude] [varchar](255) NULL,
	[Longitude] [varchar](255) NULL,
	[Country ISO Code] [varchar](255) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pageviews] [decimal](30, 10) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL,
	[Hits] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_PaidTraffic] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_PaidTraffic](
	[Date] [datetime] NULL,
	[Day of Week Name] [varchar](255) NULL,
	[Campaign] [varchar](255) NULL,
	[Source] [varchar](255) NULL,
	[Medium] [varchar](255) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Organic Searches] [decimal](30, 10) NULL,
	[CPC] [decimal](30, 10) NULL,
	[Unique Purchases] [decimal](30, 10) NULL,
	[Publisher Revenue] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Session Duration] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Revenue] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Revenue](
	[Date] [datetime] NULL,
	[Hour] [varchar](255) NULL,
	[Day of Week] [varchar](255) NULL,
	[Day of Week Name] [varchar](255) NULL,
	[Ecommerce Conversion Rate] [decimal](30, 10) NULL,
	[Revenue] [decimal](30, 10) NULL,
	[Transactions Per Session] [decimal](30, 10) NULL,
	[Quantity] [decimal](30, 10) NULL,
	[Product Revenue] [decimal](30, 10) NULL,
	[Local Revenue] [decimal](30, 10) NULL,
	[Product Refund Amount] [decimal](30, 10) NULL,
	[Product Revenue per Purchase] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_SiteBreakdown] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_SiteBreakdown](
	[Hostname] [varchar](255) NULL,
	[Date] [datetime] NULL,
	[Language] [varchar](255) NULL,
	[Social Network] [varchar](255) NULL,
	[Keyword] [varchar](255) NULL,
	[Users] [decimal](30, 10) NULL,
	[% New Sessions] [decimal](30, 10) NULL,
	[Pageviews] [decimal](30, 10) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Unique Pageviews] [decimal](30, 10) NULL,
	[Total Events] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Bounces] [decimal](30, 10) NULL,
	[Bounce Rate] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Traffic] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Traffic](
	[Date] [datetime] NULL,
	[Day of Week] [varchar](255) NULL,
	[Day of Week Name] [varchar](255) NULL,
	[Date Hour and Minute] [datetime] NULL,
	[Campaign] [varchar](255) NULL,
	[Source] [varchar](255) NULL,
	[Medium] [varchar](255) NULL,
	[Pages / Session] [decimal](30, 10) NULL,
	[Organic Searches] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Session Duration] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL
) ON [PRIMARY]
/****** Object:  Table [dbo].[GA_Users] ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GA_Users](
	[User Type] [varchar](255) NULL,
	[Date] [datetime] NULL,
	[Day of Week] [varchar](255) NULL,
	[Day of Week Name] [varchar](255) NULL,
	[Source] [varchar](255) NULL,
	[Users] [decimal](30, 10) NULL,
	[New Users] [decimal](30, 10) NULL,
	[Sessions] [decimal](30, 10) NULL,
	[Session Duration] [decimal](30, 10) NULL,
	[Number of Sessions per User] [decimal](30, 10) NULL,
	[Impressions] [decimal](30, 10) NULL,
	[Avg. Session Duration] [decimal](30, 10) NULL,
	[Hours] [decimal](30, 10) NULL
) ON [PRIMARY]